#include "functions.inc"

camera { location  <0, 0, -4> look_at <0, 0, 0> angle 50}

sky_sphere { pigment {
    function{abs(y)}
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source {<-100,200,-100> colour rgb 1}

// ----------------------------------------

#declare Theta  = function{f_th(x,y,z)}
#declare Sphere = function{f_sphere(x,y,z,1)}

isosurface {
  function { Sphere(x,y,z) + sin(Theta(x,y,z)*20)*0.05*(1-y*y) }
        max_gradient 2
        contained_by{sphere{0,1.2}}
        pigment {rgb .9}
        finish {phong 0.5 phong_size 10}
}

sphere {0,1.2 pigment {rgbt <1,0,0,0.9>}}
