// This object is rather like six toruses blobbed together
// the "a" parameter controls the distance of a torus from the centre
// the "b" parameter controls the minor radius of a torus and the blob factor

camera { location  <-5, 5, -10> look_at <0, 0, 0> angle 20}

sky_sphere { pigment {
    function{abs(y)}
    color_map { [0.0 rgb <.3,.3,.8>] [1.0 color rgb 1] }
  }
}

light_source {<30,200,-30> colour rgb 1}
light_source {<-30,200,-100> colour rgb 0.5}
                     
                     
#declare F=function(x,y,z,a,b){
   (pow(x*x+y*y-a*a,2)+pow(z*z-1,2))
  *(pow(y*y+z*z-a*a,2)+pow(x*x-1,2))
  *(pow(z*z+x*x-a*a,2)+pow(y*y-1,2))
  -b
}
   
   
isosurface {
  function { F(x,y,z,0.95,0.01) }
        max_gradient 170
        contained_by{sphere {0,1.6}} open
        pigment {rgb .9}
        finish {phong 0.5 phong_size 10}
        no_shadow
}

