
#declare R=0.6;

camera { location  <2*R, 2*R, -8*R> look_at <0, 0, 0> angle 35}

sky_sphere { pigment {
    function{abs(y)}
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source {<100,200,-100> colour rgb 1}
light_source {<-100,-200,-100> colour rgb 0.5}

// ----------------------------------------
                                
                                
//Swallowtail
//
//A classic curve from Catastrophy theory. Parametric form:

#declare Fx = function(u,v) {u*v*v + 3*v*v*v*v}
#declare Fy = function(u,v) {-2*u*v - 4*v*v*v}
#declare Fz = function(u,v) {u}
                        
#include "param.inc"

object {Parametric(Fx,Fy,Fz,<-2,-0.8>,<2,0.8>,30,30,"")
  pigment {rgb 0.9}
  finish {phong 0.5 phong_size 10}
  no_shadow
}
      
