// A bent lathe

#version 3.5;

camera { location  <0, 3, -5> look_at <0, 0, 0> angle 30}

sky_sphere { pigment {
    function{abs(y)}
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source {<100,200,-500> colour rgb 1}

// The open 1D spline (lathe) 
#declare S = function {
   spline {
     natural_spline
      -1, < 1.0, 0, 0>,
    -0.8, < 0.4, 0, 0>,
    -0.5, < 0.2, 0, 0>,
    -0.2, < 0.2, 0, 0>,
     0.3, < 0.8, 0, 0>,
       1, < 1.0, 0, 0>
   }
 }

// Another open spline, 2D (along which the lathe is bent)
#declare S2 = function {
   spline {
     natural_spline
      -1, < 0.1, 0,-0.2>,
    -0.5, < 0.2, 0, 0.0>,
     0.5, < 0.0, 0, 0.0>,
       1, < 0.2, 0, 0.2>
   }
 }


#declare Fx = function(x,y) {(S(u).x * sin(v)/2) + S2(u).x}
#declare Fy = function(x,y) {u}
#declare Fz = function(x,y) {(S(u).x * cos(v)/2) + S2(u).z}
#declare Umin =  -1;
#declare Umax =  1;
#declare Vmin =  -pi;
#declare Vmax =  1.001*pi;
#declare Iter_U = 20;
#declare Iter_V = 50;

parametric {
  function {Fx(u,v)}
  function {Fy(u,v)}
  function {Fz(u,v)}
      <Umin,Vmin>,<Umax,Vmax>
  contained_by{box{-1,1}}
  precompute 18, x,y,z
  pigment {rgb 0.9}
  finish {phong 0.5 phong_size 10 ambient 0.2} 
}
