#include "functions.inc"

#declare R=1.2;
camera { location  <3*R, 1*R, -4*R> look_at <0, 0, 0> angle 32}

sky_sphere { pigment {
    function {abs(y)}
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source {<-20,20,-100> colour rgb 0.5}
light_source {<-100,200,-100> colour rgb 1}

// ----------------------------------------

intersection {
  plane {-z, 0 }

  isosurface {
    function { f_bicorn(x,y,z,1,1) }
        max_gradient 9
        contained_by{sphere {0,R}}
        max_trace 3
  }    
  pigment {rgb .9}
  finish {phong 0.5 phong_size 10}
}
