#include "functions.inc"

#declare R=4.2;
#declare R1=R+0.01;
#declare Box = 0;

camera { location  <4*R, 1*R, -4*R> look_at <0, 0, 0> angle 26}

sky_sphere { pigment {
    function{abs(y)}
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source {<100,200,-100> colour rgb 1}
light_source {<-100,-200,-100> colour rgb 0.5}

// ----------------------------------------

isosurface {
  function { -f_hunt_surface(x,y,z,0.1)}
        max_gradient 800
        evaluate 1,10,0.99
        #if (Box=0)
           contained_by{sphere {0,R}}
        #else
          contained_by{box {<-R,-R,-0>,R}}
        #end
        pigment {rgb .9}
        finish {phong 0.5 phong_size 10}
}
      
#if (Box=0)
  sphere {0,R1 pigment {rgbt <1,0,0,0.9>}}
#else
  box {<-R,-R,-0.01>,R1 pigment {rgbt <1,0,0,0.9>}}
#end
